import json
import traceback

from aidso_geo.models import spider_save_tos
from aidso_geo.utils import robot_utils
from aidso_geo.utils.ai_interface import get_parse_sse_result
from aidso_geo.utils.tos_utils import get_string_from_tos


def xiaohongshu_android_process_original_data(data):
    file_path = f'geo/{data["taskId"]}/{data["platform"]}/original.text'
    """处理文件内容，提取思考内容、响应内容和URL列表"""
    url_list =[]
    think_content = ""
    response_content = ""
    response_process = ""
    search_keyword = []
    is_think = False
    think_bool = False
    suggestions = []
    response_bool = False
    try:
        original_content = get_string_from_tos(file_path)
        json_content = json.loads(original_content)
        base_info = json_content.get('base_info')
        share_info = json_content.get('share_info')
        elements = json_content.get('elements')
        items = json_content.get('items')
        response_content = base_info.get('text')
        url_list = items
        if "</complex_list>" in response_content:
            response_content = response_content.replace('</complex_list>','')

        spider_save_tos.process_and_save_files(file_path, search_keyword, url_list, think_content, response_content,
                                               suggestions)
        return (file_path, search_keyword, url_list, think_content, response_content, suggestions)
    except Exception as e:
        # parts = file_path.split('/')
        # platform = parts[2]
        # task_id = parts[1]
        # context, quote, suggestion, think, search_word = get_parse_sse_result(platform, task_id)
        # if context:
        #     response_content = context
        #     url_list = quote
        #     suggestions = suggestion
        #     think_content = think
        #     search_keyword = search_word
        #     spider_save_tos.process_and_save_files_ai(file_path, search_keyword, url_list, think_content,
        #                                               response_content,suggestions)
        #
        #     return (file_path, search_keyword, url_list, think_content, response_content, suggestions)
        # else:
        response_content = "对话信息获取失败:-200"
        robot_utils.feishu_tobot(file_path)


    spider_save_tos.process_and_save_files(file_path, search_keyword, url_list, think_content, response_content,
                                           suggestions)
    return (file_path, search_keyword, url_list, think_content, response_content, suggestions)

if __name__ == '__main__':
    file_path2 = 'geo/XHSA-XHSA-01-2XH12SA-X1H22SA1/XHSA/original.text'
    xiaohongshu_android_process_original_data(file_path2)
